\pagenumbering{gobble}

Debugging the Frame Rate Warning
==========================================

This task measures the screen's frame rate (refresh rate) in order to display
stimuli for the proper amount of time. However, we have noticed that the
measured refresh rate sometimes is read incorrectly, causing the script to
display stimuli for too short or too long.

You may see a window pop up warning about the refresh rate like this:

![Frame Rate Warning](images/frameRateWarning.png)

1) The first time you see this warning, **hit "Cancel"**, and perform the
   following troubleshooting steps:
2) **Quit and relaunch PsychoPy** (on Macs, make sure to Command-Q or go to
   the `Psychopy Menu -> Quit` instead of simply hitting the red dot).
2) **Quit any background programs** that are open but not necessary including
   web browsers, eye tracking software, and sync software ([Drop]Box or Google
   Drive).
3) Make sure the refresh rate for your external display is **set to 60Hz**. (For
   Mac, this is under `System Preferences > Displays`. For Windows, this is in
   the “Advanced Settings” option under the Displays control panel.)
4) **Re-run this script**. If the warning window is shown again, hit "OK", but
   carefully watch the screen to make sure that the task runs correctly, and
   check that the participant's responses are being logged correctly (i.e.
   there are no misses when the participant is clearly responding).
6) If this is a run that is part of the Human Connectome Project, please email
   the logfiles (.csv, .log, .psydat) and a description of the issue to:
   [brain@fas.harvard.edu](mailto:brain@fas.harvard.edu).
