#!/usr/bin/env python
# Check a log file against expected conditions
import pandas as pd
import unittest


class TestConditionCounts(unittest.TestCase):
    def testCounts(self):
        logfile = '../data/GUESSING__1_2016_Oct_26_1739_run1.csv'
        df = pd.read_csv(logfile)
        expected = [('trialCondition', 'highWin', 6),
                    ('trialCondition', 'lowWin', 6),
                    ('trialCondition', 'highLose', 6),
                    ('trialCondition', 'lowLose', 6)]
        for column, condition, expected_count in expected:
            try:
                actualCount = df[column].value_counts()[condition]
                self.assertEqual(actualCount, expectedCount)
            except AssertionError:
                print(logfile)
                print(df[column].value_counts())
                raise

        # highWinIdx = (df['valueCondition'] == 'high') & (df['Feedback'] == 1)
        df.loc[df['trialCondition'] == 'highWin', 'trialResp.keys'].isnull()
# df.loc[(df['valueCondition'] == 'high') & (df['Feedback'] == 1) & ~df['blockN'].isnull(), 'trialCondition'] = 'highRewarded'
# df.loc[(df['valueCondition'] == 'high') & (df['Feedback'] == 0) & ~df['blockN'].isnull(), 'trialCondition'] = 'highUnrewarded'
# df.loc[(df['valueCondition'] == 'low') & (df['Feedback'] == 1) & ~df['blockN'].isnull(), 'trialCondition'] = 'lowRewarded'
# df.loc[(df['valueCondition'] == 'low') & (df['Feedback'] == 0) & ~df['blockN'].isnull(), 'trialCondition'] = 'lowUnrewarded'
# df['trialCondition'].value_counts()

if __name__ == '__main__':
    unittest.main()
